> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workflow Runs



## OpenAPI

````yaml /openapi-v1.json get /api/v1/workflows/{workflow_id}/runs
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/workflows/{workflow_id}/runs:
    get:
      tags:
        - Workflows
      summary: List Workflow Runs
      operationId: core_api_v1_controllers_workflows_list_workflow_runs
      parameters:
        - in: path
          name: workflow_id
          schema:
            format: uuid
            title: Workflow Id
            type: string
          required: true
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 20
            title: Page Size
            type: integer
          required: false
      responses:
        '200':
          description: OK
      security:
        - ScopedAPIKeyAuth: []
components:
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.